%ifarch %{arm} aarch64
%define build_docs   0
%else
%define build_docs   1
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 12

%define rel 1

%define qtversion    %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtscxml   %mklibname qt5scxml %{qtmajor}
%define libqtscxml_d %mklibname qt5scxml -d

%define qttarballdir qtscxml-everywhere-opensource-src-%{qtversion}

Name:           qtscxml5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} ScXml component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
URL:            https://www.qt.io
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Upstream patches:

BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}

%description
The Qt SCXML module provides functionality to create state machines from
SCXML files.

This includes both dynamically creating state machines (loading the SCXML
file and instantiating states and transitions) and generating a C++ file
that has a class implementing the state machine. It also contains
functionality to support data models and executable content.

%files
%license LICENSE.GPL3-EXCEPT LICENSE.LGPL3
%{_qt5_bindir}/qscxmlc
%{_qt5_qml}/QtScxml/

#------------------------------------------------------------------------------

%if %{build_docs}
%package	doc
Summary:        QtScXml%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtScXml%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtscxml.qch
%{_qt5_docdir}/qtscxml/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtscxml}
Summary:        Qt%{qtmajor} ScXml Component Library
Group:          System/Libraries

%description -n %{libqtscxml}
Qt%{qtmajor} ScXml Component Library.

%files -n %{libqtscxml}
%{_qt5_libdir}/libQt5Scxml.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtscxml_d}
Summary:        Devel files needed to build apps based on QtScXml
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}
Requires:       %{libqtscxml} = %{version}
Provides:       libqtscxml5-devel = %{version}
Provides:       libqt5scxml-devel = %{version}
Provides:       qtscxml5-devel = %{version}
Provides:       qt5scxml-devel = %{version}

%description -n %{libqtscxml_d}
Devel files needed to build apps based on QtScXml.

%files -n %{libqtscxml_d}
%license LICENSE.GPL3-EXCEPT LICENSE.LGPL3
%{_qt5_includedir}/QtScxml/
%{_qt5_libdir}/libQt5Scxml.so
%{_qt5_libdir}/pkgconfig/Qt5Scxml.pc
%{_qt5_libdir}/cmake/Qt5Scxml/
%{_qt5_libdir}/*.prl
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_archdatadir}/mkspecs/features/*.prf
%{_qt5_examplesdir}/scxml/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtscxml-everywhere-src-%{qtversion}
%autopatch -p1

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Tue Jan 09 2024 neoclust <neoclust> 5.15.12-1.mga10
+ Revision: 2029334
- New version 5.15.12

* Sat Dec 03 2022 neoclust <neoclust> 5.15.7-1.mga9
+ Revision: 1915340
- New version 5.15.7

* Thu Sep 08 2022 neoclust <neoclust> 5.15.6-1.mga9
+ Revision: 1885961
- New version 5.15.6

* Sat Aug 27 2022 neoclust <neoclust> 5.15.5-1.mga9
+ Revision: 1881054
- New version 5.15.5

* Mon Apr 04 2022 umeabot <umeabot> 5.15.2-2.mga9
+ Revision: 1843204
- Mageia 9 Mass Rebuild

* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652466
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624918
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589831
- New version 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545482
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484405
- New version 5.14.1

* Mon Sep 09 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438715
- New version 5.13.1

* Sun Jul 14 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1421123
- Rebuild for new mkspecs macros

* Thu Jul 04 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1418483
- add upstream patch to fix QTBUG-76521
- New version 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384520
- Qt5 Rebuild

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378544
- New version 5.12.2

* Mon Mar 04 2019 daviddavid <daviddavid> 5.12.1-2.mga7
+ Revision: 1371489
- make devel pkg requires main pkg

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362289
- New version 5.12.1

* Sun Dec 09 2018 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1339144
- New version 5.12.0

* Tue Oct 09 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1319033
- New version 5.11.2

* Sun Sep 23 2018 umeabot <umeabot> 5.11.1-2.mga7
+ Revision: 1300723
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245820
- New version 5.11.1

* Fri May 25 2018 neoclust <neoclust> 5.11.0-1.mga7
+ Revision: 1232119
- New version 5.11.0

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216513
- New version 5.10.1

* Thu Mar 01 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1205919
- New version 5.9.4

* Wed Dec 27 2017 neoclust <neoclust> 5.9.3-1.mga7
+ Revision: 1185557
- New version 5.9.3

* Wed Aug 02 2017 daviddavid <daviddavid> 5.9.1-1.mga7
+ Revision: 1133898
- initial package qtscxml5

